Name:		chrome-token-signing
Version:	1.0.4
Release:	1%{?dist}
Summary:	Estonian ID Card signing plugin for supported browsers
License:	LGPLv2
URL:		https://github.com/open-eid/chrome-token-signing
Source0:	https://github.com/open-eid/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz


BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-devel

Requires:       opensc%{?_isa}
Requires:       mozilla-filesystem%{?_isa}

%description
Estonian ID Card signing for Chrome, Firefox and other supported browsers.
Contains Chrome extension and native messaging client.

%prep
%setup -q

%build
export PATH=%{_qt5_bindir}:$PATH
%make_build


%install
# Create directories
install -d %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium-browser/native-messaging-hosts
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/chromium/extensions
install -d %{buildroot}%{_datadir}/chromium-browser/extensions
install -d %{buildroot}%{_datadir}/google-chrome/extensions
install -d %{buildroot}%{_datadir}/mozilla/native-messaging-hosts
install -d %{buildroot}%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

#Install files
install -D -c -p -m 755 ./host-linux/%{name} %{buildroot}%{_bindir}/
install -D -c -p -m 644 ./host-linux/ee.ria.esteid.json %{buildroot}%{_datadir}/%{name}/
install -D -c -p -m 644 ./host-linux/ff/ee.ria.esteid.json %{buildroot}%{_datadir}/mozilla/native-messaging-hosts/
install -D -c -p -m 644 ./ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/%{name}/
install -D -c -p -m 644 ./\{443830f0-1fff-4f9a-aa1e-444bafbc7319\}.xpi %{buildroot}%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}/

# Create links 
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/chromium-browser/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/chromium/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/chromium-browser/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/google-chrome/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json


%files
%doc AUTHORS CONTRIBUTING.md LICENSE.LGPL LICENSE.LGPL.rtf README.md RELEASE-NOTES.md
%{_sysconfdir}/opt/chrome/native-messaging-hosts
%{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/chromium-browser/native-messaging-hosts
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/chromium
%{_datadir}/chromium-browser
%{_datadir}/google-chrome
%{_datadir}/mozilla/native-messaging-hosts
%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/

%changelog
* Mon Feb 06 2017 Mihkel Vain <mihkel@fedoraproject.org> - 1.0.4-1
- Initial rpm release.

